org.jgroups.protocols

## Class UDP.PacketReceiver

- java.lang.Object
- - org.jgroups.protocols.UDP.PacketReceiver

- All Implemented Interfaces:
    java.lang.Runnable
  Enclosing class:
    UDP

      public class UDP.PacketReceiver
      extends java.lang.Object
      implements java.lang.Runnable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UDP.PacketReceiver(java.net.DatagramSocket socket, java.lang.String name, java.lang.Runnable close_strategy)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `run()`
    `void` | `start()`
    `void` | `stop()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UDP.PacketReceiver

          public UDP.PacketReceiver(java.net.DatagramSocket socket,
                            java.lang.String name,
                            java.lang.Runnable close_strategy)

  - ### Method Detail

    - #### start

          public void start()

    - #### stop

          public void stop()

    - #### run

          public void run()

      Specified by:
        `run` in interface `java.lang.Runnable`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.